Skip to content

Branches

The Branches resource represents branch locations. Branches are read-only.

Endpoints

Method Path Description
GET /Branches List branches
GET /Branches({id}) Get a single branch

List Branches

GET /Branches

Supports: $filter, $select, $orderby, $top, $skip, $count, $expand

Example

curl -X GET "https://api.nymbldev.com/Branches?\$filter=active eq true&\$orderby=name asc" \
  -H "Authorization: Bearer eyJraWQiOiJ..." \
  -H "x-api-key: YOUR_API_KEY"

Response

{
  "@odata.context": "https://api.nymbldev.com/$metadata#Branches",
  "@odata.count": 5,
  "value": [
    {
      "id": 1,
      "name": "Main Office",
      "code": "MAN",
      "active": true,
      "city": "Springfield",
      "state": "IL",
      "zipcode": "62701"
    }
  ]
}

Get a Single Branch

GET /Branches({id})

Example

curl -X GET "https://api.nymbldev.com/Branches(1)" \
  -H "Authorization: Bearer eyJraWQiOiJ..." \
  -H "x-api-key: YOUR_API_KEY"
Property Type Description
Parent Branch Parent branch
Children Branch collection Child branches
Appointments Appointment collection Appointments at this branch
BillingClaims Claim collection Claims billed to this branch
Patients Patient collection Patients with this as primary branch
Prescriptions Prescription collection Prescriptions assigned to this branch

Properties

Property Type Max Length Description
id number Unique branch identifier (required)
name string 100 Branch name (required)
active boolean Whether the branch is active
code string 3 Short branch code
city string 30 City
state string 2 State abbreviation
zipcode string 10 ZIP code
street_address string 100 Street address
country string 50 Country
phone_number string 25 Phone number
fax_number string 25 Fax number
npi string 15 National Provider Identifier
tax_id string 40 Tax ID
tax_id_type string 40 Tax ID type
timezone string 32 Timezone identifier
parent_id number ID of parent branch
billing_company_name string 100 Billing company name
billing_street_address string 100 Billing street address
billing_city string 30 Billing city
billing_state string 2 Billing state
billing_zipcode string 30 Billing ZIP code
billing_npi string 15 Billing NPI
billing_phone_number string 25 Billing phone
billing_fax_number string 25 Billing fax
billing_email string 250 Billing email
shipping_street_address string 100 Shipping street address
shipping_city string 30 Shipping city
shipping_state string 2 Shipping state
shipping_zipcode string 10 Shipping ZIP code
shipping_country string 50 Shipping country
source_id number Source system record ID
source_name string 100 Source system name

Common Query Examples

Active branches:

GET /Branches?$filter=active eq true&$orderby=name asc

Branch with its appointments:

GET /Branches(1)?$expand=Appointments

Select name and location fields only:

GET /Branches?$select=id,name,code,city,state&$filter=active eq true